cURL
curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run/%7BrunId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run/%7BrunId%7D';
const options = {method: 'GET', headers: {Authorization: 'Bearer REPLACE_BEARER_TOKEN'}};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'GET',
hostname: 'app.teable.ai',
port: null,
path: '/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run/%7BrunId%7D',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }
conn.request("GET", "/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/run/%7BrunId%7D", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
[
{
"id": "<string>",
"status": "success",
"nodeId": "<string>",
"nodeType": "<string>",
"nodeCategory": "<string>",
"createdTime": "<string>",
"nodeName": "<string>",
"testedTime": "<string>",
"spent": 123,
"inputRaw": null,
"outputRaw": null,
"inputVariables": {},
"outputVariables": {},
"errorMsg": "<string>"
}
]automation
Get base workflow run
get automation workflow run list
GET
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
run
/
{runId}
cURL
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Yanıt
200 - application/json
Successful response
id of the step
Mevcut seçenekler:
success, failed, running, canceled, pending id of the node
type of the node
node category
time when the step was created
node name
time when the node was tested
spent time
The variables snapshot when executed
The variables snapshot when executed
Son değiştirilme tarihi 4 Eylül 2026
Bu sayfa yararlı mıydı?

